! descrip.mms: MMS description file for building zlib on VMS
! written by Martin P.J. Zinser <m.zinser@gsi.de>
! Mosaic version 2.6 20-Feb-1996, George Cook
!
! Add a DEBUG=1    MACRO when debugging.
! Add a DECC=1     MACRO when compiling with DEC C.

WDIR = [.$(WORK)]

LIBTARGET = $(WDIR)libz.olb

.IFDEF DECC
CQUAL = /DECC
.ELSE
.IFDEF DECCVAXC
CQUAL = /VAXC
.ELSE
CQUAL =
.ENDIF
.ENDIF

.IFDEF DEBUG
CC_DEFS = $(CQUAL)/NoOpt/Debug
.ELSE
CC_DEFS = $(CQUAL)
.ENDIF

.FIRST
        @ If F$Search("$(LIBTARGET)") .EQS. "" Then Library/Create $(LIBTARGET)
	@ Define/NoLog Odir $(WDIR)

OBJS = Odir:adler32.obj, Odir:compress.obj, Odir:crc32.obj, Odir:gzio.obj,\
       Odir:uncompr.obj, Odir:deflate.obj, Odir:trees.obj, Odir:zutil.obj,\
       Odir:inflate.obj, Odir:infblock.obj, Odir:inftrees.obj,\
       Odir:infcodes.obj, Odir:infutil.obj, Odir:inffast.obj

CFLAGS= $(CC_DEFS)

$(LIBTARGET) : $(LIBTARGET)($(OBJS))
	@ Write SYS$Output "Library libz.olb built."

.c.obj
	$(CC)$(CFLAGS)/OBJECT=$@ $<

.obj.olb
	$(LIBR) $(LIBRFLAGS) $(MMS$TARGET) $(MMS$SOURCE)

clean : 
	delete $(WDIR)*.obj;*,$(LIBTARGET);*


# Other dependencies.
adler32.obj : adler32.c zutil.h zlib.h zconf.h
compress.obj : compress.c zlib.h zconf.h
crc32.obj : crc32.c zutil.h zlib.h zconf.h
deflate.obj : deflate.c deflate.h zutil.h zlib.h zconf.h
gzio.obj : gzio.c zutil.h zlib.h zconf.h
infblock.obj : infblock.c zutil.h zlib.h zconf.h infblock.h inftrees.h infcodes.h infutil.h
infcodes.obj : infcodes.c zutil.h zlib.h zconf.h inftrees.h infutil.h infcodes.h inffast.h
inffast.obj : inffast.c zutil.h zlib.h zconf.h inftrees.h infutil.h inffast.h
inflate.obj : inflate.c zutil.h zlib.h zconf.h infblock.h
inftrees.obj : inftrees.c zutil.h zlib.h zconf.h inftrees.h
infutil.obj : infutil.c zutil.h zlib.h zconf.h inftrees.h infutil.h
trees.obj : trees.c deflate.h zutil.h zlib.h zconf.h
uncompr.obj : uncompr.c zlib.h zconf.h
zutil.obj : zutil.c zutil.h zlib.h zconf.h
